%define version		3.10.2
%define major		%version
%define libname		%mklibname opal %{major}
%define develname	%mklibname %{name} -d

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%endif

%if "%distro_section" == "tainted"
%global build_plf 1
%endif

%define url_ver %(echo %version | cut -d. -f1,2)

Summary:	VoIP library
Name:		opal3
Version:	%version
Release:	%mkrel 1
License:	MPL
Group:		System/Libraries
URL:		http://www.opalvoip.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/opal/%{url_ver}/opal-%{version}.tar.xz
Patch0:		opal-3.10.1-fix-link.patch
Patch1:		opal-3.10.2-ffmpeg0.8.patch
BuildRequires:	gawk
BuildRequires:	openssl-devel
BuildRequires:	openldap-devel
BuildRequires:	ptlib-devel >= 2.10.1
BuildRequires:	libspeex-devel
BuildRequires:	libtheora-devel
BuildRequires:	ffmpeg-devel
%if %build_plf
BuildRequires: x264-devel
%endif
#BuildRequires:	celt-devel >= 0.7.0

%description
This is an open source class library for the development of
applications that wish to use SIP / H.323 protocols for multimedia
communications over packet based networks.

%if %build_plf
This package is in the Tainted section because the H264 codec is covered by
patents.
%endif

%package -n	%{libname}-plugins
Summary:	Codec plugins for Opal
Group:		System/Libraries
Provides:	%{name}-plugins = %{version}-%{release}
Obsoletes:	%{mklibname opal 3}-plugins < 3.4.1-2mdv

%description -n	%{libname}-plugins
PTlib codec plugins for various formats provided by Opal.

%package -n	%{libname}
Summary:	Opal Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-plugins = %{version}-%{release}
Obsoletes:	%{mklibname opal 3} < 3.4.1-2mdv

%description -n	%{libname}
Shared library for OPAL (SIP / H323 stack).

%package -n	%{develname}
Summary:	Opal development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release} 
Requires:	ptlib-devel >= 2.10.1
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{mklibname opal -d}

%description -n	%{develname}
Header files and libraries for developing applications that use
Opal.

%prep
%setup -q -n opal-%{version}
%patch0 -p0 -b .link
%patch1 -p0 -b .ffmpeg

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# remove incorrect symlinks (http://bugzilla.gnome.org/show_bug.cgi?id=553808 )
rm -f %{buildroot}%{_libdir}/libopal.so.?
rm -f %{buildroot}%{_libdir}/libopal.so.?.?
rm -f %{buildroot}%{_libdir}/libopal.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{libname}-plugins
%defattr(-,root,root)
%{_libdir}/opal-%{version}/codecs/audio/*
%{_libdir}/opal-%{version}/codecs/video/*

%files -n %{develname}
%defattr(-,root,root)
%doc mpl-1.0.htm
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_libdir}/libopal_s.a
%{_libdir}/pkgconfig/opal.pc


%changelog

* Tue Aug 23 2011 fwang <fwang> 3.10.2-1.mga2
+ Revision: 134993
- rediff ffmpeg patch
- new version 3.10.2

* Wed Jul 20 2011 fwang <fwang> 3.10.1-1.mga2
+ Revision: 127507
- update file list
- update file list
- revert to type cast
- mofre ffmpeg 0.8 fix
- more ffmpeg 0.8 fix
- fix build with ffmpeg 0.8
- more build fix
- fix linkage
- new version 3.10.1

* Sun Jun 26 2011 fwang <fwang> 3.8.3-2.mga2.tainted
+ Revision: 114030
- rebuild for new x264

* Sat Jun 25 2011 ahmad <ahmad> 3.8.3-1.mga2.tainted
+ Revision: 113361
- Update to 3.8.3

* Sun Jun 19 2011 ahmad <ahmad> 3.6.8-4.mga2.tainted
+ Revision: 109571
- Replace PLF with Tainted in the package description (spotted by mikala)

* Thu Jun 16 2011 ahmad <ahmad> 3.6.8-3.mga2.tainted
+ Revision: 108336
- Drop X11-devel BR, doesn't seem needed any more
- Enable tainted build

* Fri Feb 25 2011 ennael <ennael> 3.6.8-2.mga1
+ Revision: 59449
- remove more
- clean spec file
- imported package opal3

